functor FProtocolAccessor() =
  struct
    fun createGraph masterNode =
          let
            open DGShorthand

            val masterCh = masterNode +: "Children"
            val protocolAccessor = Reg.createA "Window"
            val _ = masterCh ~+ protocolAccessor
            val tmpProtNode = protocolAccessor +: "OnPointerDown"
            val protocol0 = DGPPointerButtonNotify.p tmpProtNode
            val tmpProtNode = protocolAccessor +: "Text"
            val protocol1 = DGPString.p tmpProtNode
            val _ = PString.write protocol1 "Protocol Accessor"
            val tmpProtNode = protocolAccessor +: "Visible"
            val protocol2 = DGPBool.p tmpProtNode
            val _ = PBool.write protocol2 true
            val tmpProtNode = protocolAccessor +: "PosY"
            val protocol3 = DGPInt.p tmpProtNode
            val _ = PInt.write protocol3 151
            val tmpProtNode = protocolAccessor +: "PosX"
            val protocol4 = DGPInt.p tmpProtNode
            val _ = PInt.write protocol4 513
            val tmpProtNode = protocolAccessor +: "SizeY"
            val protocol5 = DGPInt.p tmpProtNode
            val _ = PInt.write protocol5 100
            val tmpProtNode = protocolAccessor +: "SizeX"
            val protocol6 = DGPInt.p tmpProtNode
            val _ = PInt.write protocol6 500
            
            val children7 = protocolAccessor +: "Children"
            
            val control8 = Reg.createA "TextLabel"
            val _ = children7 ~+ control8
            val tmpProtNode = control8 +: "OnPointerDown"
            val protocol9 = DGPPointerButtonNotify.p tmpProtNode
            val tmpProtNode = control8 +: "Visible"
            val protocol10 = DGPBool.p tmpProtNode
            val _ = PBool.write protocol10 true
            val tmpProtNode = control8 +: "PosY"
            val protocol11 = DGPInt.p tmpProtNode
            val _ = PInt.write protocol11 0
            val tmpProtNode = control8 +: "PosX"
            val protocol12 = DGPInt.p tmpProtNode
            val _ = PInt.write protocol12 200
            val tmpProtNode = control8 +: "SizeY"
            val protocol13 = DGPInt.p tmpProtNode
            val _ = PInt.write protocol13 18
            val tmpProtNode = control8 +: "SizeX"
            val protocol14 = DGPInt.p tmpProtNode
            val _ = PInt.write protocol14 300
            val tmpProtNode = control8 +: "Text"
            val protocol15 = DGPString.p tmpProtNode
            val _ = PString.write protocol15 "Protocols"
            
            val control17 = Reg.createA "TextLabel"
            val _ = children7 ~+ control17
            val tmpProtNode = control17 +: "OnPointerDown"
            val protocol18 = DGPPointerButtonNotify.p tmpProtNode
            val tmpProtNode = control17 +: "Visible"
            val protocol19 = DGPBool.p tmpProtNode
            val _ = PBool.write protocol19 true
            val tmpProtNode = control17 +: "PosY"
            val protocol20 = DGPInt.p tmpProtNode
            val _ = PInt.write protocol20 0
            val tmpProtNode = control17 +: "PosX"
            val protocol21 = DGPInt.p tmpProtNode
            val _ = PInt.write protocol21 0
            val tmpProtNode = control17 +: "SizeY"
            val protocol22 = DGPInt.p tmpProtNode
            val _ = PInt.write protocol22 18
            val tmpProtNode = control17 +: "SizeX"
            val protocol23 = DGPInt.p tmpProtNode
            val _ = PInt.write protocol23 200
            val tmpProtNode = control17 +: "Text"
            val protocol24 = DGPString.p tmpProtNode
            val _ = PString.write protocol24 "Bindings"
            
          in
            {protocolAccessor = protocolAccessor}
          end
  end

structure ProtocolAccessor = FProtocolAccessor()
