functor FUIControlPalette() =
  struct
    fun createGraph masterNode =
          let
            open DGShorthand

            val masterCh = masterNode +: "Children"
            val controlPalette = Reg.createA "Window"
            val _ = masterCh ~+ controlPalette
            val tmpProtNode = controlPalette +: "OnPointerDown"
            val protocol0 = DGPPointerButtonNotify.p tmpProtNode
            val tmpProtNode = controlPalette +: "Text"
            val protocol1 = DGPString.p tmpProtNode
            val _ = PString.write protocol1 "UI Palette"
            val tmpProtNode = controlPalette +: "Visible"
            val protocol2 = DGPBool.p tmpProtNode
            val _ = PBool.write protocol2 true
            val tmpProtNode = controlPalette +: "PosY"
            val protocol3 = DGPInt.p tmpProtNode
            val _ = PInt.write protocol3 308
            val tmpProtNode = controlPalette +: "PosX"
            val protocol4 = DGPInt.p tmpProtNode
            val _ = PInt.write protocol4 608
            val tmpProtNode = controlPalette +: "SizeY"
            val protocol5 = DGPInt.p tmpProtNode
            val _ = PInt.write protocol5 100
            val tmpProtNode = controlPalette +: "SizeX"
            val protocol6 = DGPInt.p tmpProtNode
            val _ = PInt.write protocol6 150
            
          in
            {controlPalette = controlPalette}
          end
  end

structure UIControlPalette = FUIControlPalette()
